#:----------------------------------------------------------:
#: Select which jre to execute:                             :
#:  - java.exe opens a "HEC-ResSim Console" window          :
#:  - javaw.exe does NOT open a "HEC-ResSim Console" window :
#:----------------------------------------------------------:
javapath java\bin\java
# javapath java\bin\javaw
showConsole true

#:!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!:
#:***************************************************************************:
#:*                                                                         *:
#:*          !!HANDS OFF!!                                                  *:
#:*                                                                         *:
#:* The settings below are required for proper operation of this program.   *:
#:* Do not modify without instruction from HEC or their representative.     *:
#:*                                                                         *:
#:***************************************************************************:
#:!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!:

#:-------------------------------------------:
#:  Program to be run
#:-------------------------------------------:
mainclass hec.rss.server.RssRMIServer
appname HEC-ResSim

#:------------------------------------------------------:
#: Defines the title bar of the console window          :
#:------------------------------------------------------:
consoleTitle HEC-ResSim 3.5 Build 3.5.0.533 64-bit Console

#:------------------------------------------------------:
#: Memory parameters                                    :
#:------------------------------------------------------:
vmparam -mx4000M

#:------------------------------------------------------:
#: Disables VolitileImages in the MapPanel solving      :
#: some bad graphical glitches.							:
#:------------------------------------------------------:
vmparam -DMapPanel.NoVolatileImage=true
vmparam -Dsun.java2d.d3d=false

#:------------------------------------------------------:
#: Log Definitions                                      :
#:------------------------------------------------------:
vmparam -Dlogfile.directory=$APPDATA\HEC\HEC-ResSim\3.5\logs
vmparam -DLOGFILE=$APPDATA\HEC\HEC-ResSim\3.5\logs\HEC-ResSim.log
vmparam -DDSSLOGFILE=$APPDATA\HEC\HEC-ResSim\3.5\logs\HEC-ResSim_DSS.log
vmparam -DCACHE_DIR=$APPDATA\HEC\HEC-ResSim\3.5\cache

vmparam -Dpython.path=jar\sys\jython-standalone-2.7.2.jar;jar\sys\jythonutils.jar
vmparam -Dpython.home=$TMP

vmparam -DDataSetValidParameterListFile=config\parameters_units.def
vmparam -DUNIT_FILE=config\unitConversions.def
vmparam -DAsciiSerializer.formatFile=true
vmparam -Dlogin.properties.path=$APPDATA\HEC\HEC-ResSim\3.5\properties\login.properties
vmparam -Dproperties.path=config
vmparam -DCWMS_HOME=$APPDATA\HEC\HEC-ResSim\3.5
vmparam -DCWMS_EXE=.
vmparam -Djava.security.policy=config\java.policy
vmparam -DstatePlane.directory=config
vmparam -Djava.library.path=lib
vmparam -DNO_PREDEFINED_WKSP=true 
vmparam -DUseDefaultSecurityManager=true
vmparam --upgrade-module-path jar/sys/module
vmparam -DCOLLECTION

#:------------------------------------------------------:
#vmparam -Dpython.cachedir.skip=false
#: The above line prevents NameErrors from occurring in :
#: Jython scripts that use wildcard imports.            :
#: In ResSim 3.5, the Jython version has been upgraded  :
#: to 2.7.2. In this version, by default, import * does :
#: not function as it used to in prior versions.        :
#: Modelers are strongly encouraged to remove wildcard  :
#: imports from their scripts. If needed, contact HEC   :
#: for assistance with the Java API as needed.          :
#: Using explicit import statements is good practice,   :
#: avoids future compatibility issues, and improves     :
#: script execution times.  Activating the "skip"       :
#: line above may allow existing scripts to compute     :
#: successfully, and provide flexibility to defer       :
#: script updates if necessary.                         :
#: IMPORTANT - use of "import *" can significantly      :
#: lengthen compute times.                              :
#:------------------------------------------------------:

include $APPDATA\HEC\HEC-ResSim\3.5\HEC-ResSim - Personal.config

addjars jar\sys64
addjars jar\sys
addjars jar
addjars jar\ext
addjar java\lib\jfxrt.jar




